<?php
if(!session_id()) session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['contenedor']) $contenedor=$_GET['contenedor']; else $contenedor=$_POST['contenedor'];
if($_GET['pedirFechaCaducidad']) $pedirFechaCaducidad=$_GET['pedirFechaCaducidad']; else $pedirFechaCaducidad=$_POST['pedirFechaCaducidad'];

$lotesContenedorActual=array();

//10-2-2022 estos datos los pasamos por post porque el session_start(); hace que se ralentice hasta el extremo
$verEnCajas=$_POST['verEnCajas'];
$combinacionesUbicacionesContenedores=unserialize($_POST['combinacionesUbicacionesContenedores']);

//14-02-2023
$mantenerSerie=$_POST['mantenerSerie'];
$mantenerEntrada=$_POST['mantenerEntrada'];
$mantenerDocEntrada=$_POST['mantenerDocEntrada'];

//print_r($combinacionesUbicacionesContenedores);
//echo '<hr>';

//14-05-2026 TAREA INTERNA 75040
$mostrarPaisOrigen=(isset($_SESSION['parametrosSGA']['GestionPaisOrigen']) && $_SESSION['parametrosSGA']['GestionPaisOrigen']=='S');

foreach($combinacionesUbicacionesContenedores as $item) {
	if($item['Contenedor']==$contenedor) {
		if(!in_array($item['Lote'],$lotesContenedorActual)) $lotesContenedorActual[]=$item;
	}
}

if($pedirFechaCaducidad=='true') $pedirFechaCaducidad=true;

if( count($lotesContenedorActual)>0 ) {

	if( count($lotesContenedorActual)>1 ) {

		?>
		<p>Lotes de este producto disponibles en el Contenedor <?php echo $contenedor; ?></p>
		<table class="tablaFormateada">
		<tr>
			<th>Lote</th>
            <?php if($pedirFechaCaducidad) { ?><th>Fecha Caducidad</th><?php } ?>
            
            <?php if($mostrarPaisOrigen) { ?>
            <th>País origen</th>
            <?php } ?>
            
            <?php if($mantenerSerie) { ?><th>Nº Serie</th><?php } ?>
			<?php if($mantenerEntrada) { ?><th>Entrada</th><?php } ?>
            <?php if($mantenerDocEntrada) { ?><th>Documento</th><?php } ?>   
            
			<th>Stock</th>
			<?php if($verEnCajas=='S') { ?><th>Cajas</th><?php } ?>
			<th></th>
		</tr>
		<?php
		foreach($lotesContenedorActual as $item) {
			?>
			<tr class="selectorLote <?php if($pedirFechaCaducidad) { ?><?php if($item['FechaCaducidadEstado']=='CADUCADO') { ?>rojo<?php } ?><?php if($item['FechaCaducidadEstado']=='PROXIMOACADUCAR') { ?>azul<?php } ?><?php } ?>" lote="<?php echo $item['Lote']; ?>" fechaCaducidad="<?php echo fechaNacional(fechaDesdeProxium($item['FechaCaducidad'])); ?>" FechaCaducidadEstado="<?php echo $item['FechaCaducidadEstado']; ?>" paisOrigen="<?php if(isset($item['PaisOrigenCodigo'])) echo $item['PaisOrigenCodigo']; ?>">
				<td><?php echo $item['Lote']; ?></td>
                <?php if($pedirFechaCaducidad) { ?><td><?php echo fechaNacional(fechaDesdeProxium($item['FechaCaducidad'])); ?></td><?php } ?>
                
                <?php if($mostrarPaisOrigen) { ?>
                <td><?php echo $item['PaisOrigenCodigo']; ?></th>
                <?php } ?>
                
                <?php if($mantenerSerie) { ?><td><?php echo $item['NumSerie']; ?></td><?php } ?>
				<?php if($mantenerEntrada) { ?><td><?php echo $item['NumEntrada']; ?></td><?php } ?>
                <?php if($mantenerDocEntrada) { ?><td><?php echo $item['NumDocEntrada']; ?></td><?php } ?>  
                
				<td align="right"><?php echo formateaNumeroDecimal($item['Stock']); ?><?php //echo number_format($item['Stock'],0,',','.'); ?></td>
				<?php if($verEnCajas=='S') { ?><td align="right"><?php echo formateaNumeroDecimal($item['StockCajas']); ?><?php //echo number_format($item['StockCajas'],0,',','.'); ?></td><?php } ?>
				<td><img src="<?php echo DIR_IMAGENES; ?>/select.png" alt="Seleccionar" width="50" height="50" class="clicable"/></td>
			</tr>
			<?php
		}
		?>
		</table>
        <p><input type="submit" name="aceptarBusquedaLotes" id="aceptarBusquedaLotes" value="Aceptar" class="boton botonSecundario"/></p>
	<?php
    }
	else {
		$loteUnico=$lotesContenedorActual[0]['Lote'];
		$fechaCaducidadLoteUnico=fechaNacional(fechaDesdeProxium($lotesContenedorActual[0]['FechaCaducidad']));
		$FechaCaducidadEstadoUnico=$lotesContenedorActual[0]['FechaCaducidadEstado'];
		//echo "<p>En el contenedor ".$contenedor." solo existe el lote: ".$loteUnico." con fecha cad: ".$fechaCaducidadLoteUnico."</p>";
		if(isset($lotesContenedorActual[0]['PaisOrigenCodigo'])) $paisOrigenUnico=$lotesContenedorActual[0]['PaisOrigenCodigo']; else $paisOrigenUnico='';
		echo "unico";
	}
	
} else {

	?>
    <p>No hay Lotes disponibles de este producto en el Contenedor <?php echo $contenedor; ?></p>
	<p><input type="submit" name="aceptarBusquedaLotes" id="aceptarBusquedaLotes" value="Aceptar" class="boton botonSecundario"/></p>
	<?php
    
}
?>
    


<script>

$(document).ready(function() {

	<?php if( count($lotesContenedorActual)>1 ) { ?>

		$('.selectorLote').on('click',function(e){
			
			e.preventDefault();
			
			var foco='lote';
			
			var lote=$(this).attr('lote');
			$('#lote').val( lote );
			
			<?php if($pedirFechaCaducidad) { ?>
			
				var fechaCaducidad=$(this).attr('fechaCaducidad');
				$('#fechaCaducidad').val(fechaCaducidad);
				foco='fechaCaducidad';
				
				var FechaCaducidadEstado=$(this).attr('FechaCaducidadEstado');
				$('#FechaCaducidadEstado').val(FechaCaducidadEstado);
			
			<?php } ?>
			
			<?php if($mostrarPaisOrigen) { ?>
			var paisOrigen=$(this).attr('paisOrigen');
			$('#paisOrigen').val( paisOrigen );
			<?php } ?>
			
			$('#popupBusqueda').hide();
			$('#popupBusquedaContenido').hide();
		
		});
	
		$('#aceptarBusquedaLotes').on('click',function(e){
			
			e.preventDefault();
			
			$('#popupBusqueda').hide();
			$('#popupBusquedaContenido').hide();
			
		});
	
	<?php } else { ?>
	
		var foco='lote';
		$('#lote').val( '<?php echo $loteUnico; ?>' );
		$('#loteUnico').val( '<?php echo $loteUnico; ?>' );
		
		<?php if($pedirFechaCaducidad) { ?>
			$('#fechaCaducidad').removeClass('campoError');
			$('#fechaCaducidad').val( '<?php echo $fechaCaducidadLoteUnico; ?>' );
			$('#FechaCaducidadEstado').val('<?php echo $FechaCaducidadEstadoUnico; ?>');
			foco='fechaCaducidad';
		<?php } ?>
		
		<?php if($mostrarPaisOrigen) { ?>
		$('#paisOrigen').val( '<?php echo $paisOrigenUnico; ?>' );
		<?php } ?>
		
		$('#popupBusqueda').hide();
		$('#popupBusquedaContenido').hide();
		
		<?php if($loteUnico) { ?>
		console.log('Bloqueo campo lote en subscript datosdirectos');
		bloqueaCampoLote(true);
		<?php if($fechaCaducidadLoteUnico) { ?>
			$('#fechaCaducidadUnica').val( '<?php echo $fechaCaducidadLoteUnico; ?>' );
			bloqueaCampoFechaCaducidad(true);
		<?php } ?>
		cambiaFocoSecuenciaAutomatica(); //??
		<?php } ?>
	
	<?php } ?>
	
});

</script>